Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Prob ao utilizar o emerge --depclean com pacotes em slots
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
PT_LAmb
Guru
Guru


Joined: 22 Apr 2002
Posts: 332
Location: Lisboa (Lisbon), Portugal

PostPosted: Tue Apr 12, 2005 10:50 am    Post subject: Prob ao utilizar o emerge --depclean com pacotes em slots Reply with quote

Viva pessoal.

Estou com um problemita ao utilizar o emerge --depclean.

Recentemente instalei as sources do kernel gentoo-sources-2.4.28-r8 através do comando emerge =sys-kernel/gentoo-sources-2.4.28-r8 agora, sempre que corro o emerge --depclean -p o portage avisa-me que vai apagar esse pacote.

Já tentei adicionar as linhas sys-kernel/gentoo-sources e sys-kernel/gentoo-sources-2.4.28-r8 no /var/lib/portage/world, o que me resolve o problema, mas cria-me logo outro, pois sempre que tento fazer um emerge world -uDp o portage tenta-me instalar a última versão estável do gentoo-sources-2.6.X, mesmo estando este num slot diferente.
Code:
msdnaa-dcti root # emerge world -uDp

These are the packages that I would merge, in order:

Calculating world dependencies ...done!
[ebuild  NS   ] sys-kernel/gentoo-sources-2.6.11-r5 
msdnaa-dcti root #


Pensava que as slots serviam para ter vários sub-pacotes com o mesmo nome, como por exemplo os gentoo-sources-2.4 e o gentoo-sources-2.6, e que o portage não me iria pedir para eu instalar a 2.6 sem que eu explicitamente o pedisse. Será que é política o Gentoo forçar todos os utilizadores a fazer o upgrade do 2.4 para o 2.6?

Alguém já se deparou com este problema e o conseguiu resolver? Ou tem alguma sugestão ou dica (desde que não seja: "Porque não actualizas para o 2.6 :)")

Desde já obrigado.
Ricardo
_________________
SETI@Home - http://setiathome.ssl.berkeley.edu/
Back to top
View user's profile Send private message
RoadRunner
Bodhisattva
Bodhisattva


Joined: 12 Jun 2002
Posts: 490
Location: Coimbra, Portugal

PostPosted: Tue Apr 12, 2005 4:22 pm    Post subject: Reply with quote

Verifica o teu profile. Existe um profile especificamente para quem utiliza a série 2.4, uma vez que já há algum tempo o Gentoo abandonou o uso da série 2.4 por defeito. Nomeadamente no profile 2005.0 existe uma pasta para o mesmo profile mas com kerneis 2.4
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum